com.salesforce.datacloud.jdbc.auth

## Class AuthenticationSettings

- java.lang.Object
- - com.salesforce.datacloud.jdbc.auth.AuthenticationSettings

    public abstract class AuthenticationSettings
    extends Object

### Nested Class Summary

Nested Classes
`protected static class` `AuthenticationSettings.Defaults`
`protected static class` `AuthenticationSettings.Keys`
`protected static class` `AuthenticationSettings.Messages`

### Constructor Summary

Constructors
`protected` `AuthenticationSettings(@NonNull Properties properties)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getClientId()`
`String` `getClientSecret()`
`String` `getDataspace()`
`String` `getLoginUrl()`
`int` `getMaxRetries()`
`Properties` `getRelevantProperties()`
`String` `getUserAgent()`
`static boolean` `hasAll(Properties properties, Set<String> keys)`
`static boolean` `hasAny(Properties properties)`
`static AuthenticationSettings` `of(@NonNull Properties properties)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AuthenticationSettings

    protected AuthenticationSettings(@NonNull
                                     @NonNull Properties properties)
                              throws SQLException

Throws:
  `SQLException`

### Method Detail

#### of

    public static AuthenticationSettings of(@NonNull
                                            @NonNull Properties properties)
                                     throws SQLException

Throws:
  `SQLException`

#### hasAll

    public static boolean hasAll(Properties properties,
                                 Set<String> keys)

#### hasAny

    public static boolean hasAny(Properties properties)

#### getRelevantProperties

    public Properties getRelevantProperties()

#### getLoginUrl

    public String getLoginUrl()

#### getClientId

    public String getClientId()

#### getClientSecret

    public String getClientSecret()

#### getDataspace

    public String getDataspace()

#### getUserAgent

    public String getUserAgent()

#### getMaxRetries

    public int getMaxRetries()